      program dTdt
      implicit none

c -----
c number of data
      integer NDAT
      parameter (NDAT=121)

c missing value
      real    MISS
      parameter (MISS=-999.)

c IO
      integer IFILE
      parameter (IFILE=21)

c -----
c time
      character*8  HHMMSS
c data
      real    t, ws
c      integer wd
      real    wd

c local
      real    tp
      real    dT

c loop control
      integer i

c -----
      open(IFILE,file='datafile')
      read(IFILE,*)
      read(IFILE,*)
      read(IFILE,*)
      read(IFILE,*)
      read(IFILE,*)
      read(IFILE,*)
      read(IFILE,*) HHMMSS, t, wd, ws
      tp = t
      do 230 i = 2, NDAT
        read(IFILE,*) HHMMSS, t, wd, ws
        if ((tp.ne.MISS).and.(t.ne.MISS)) then
            dT = t - tp
          else
            dT = MISS
        end if
        tp = t
        write(*,*) HHMMSS, dT
 230  continue
      close(IFILE)


      stop
      end
